[SOLVED] Mintupdate error

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read this

[SOLVED] Mintupdate error

Postby zole052 on Thu Dec 02, 2010 10:25 am

I had an error today when updateing mintdesktop 3.2.1 to 3.2.2 on LMDE, what's the problem?
E: /var/cache/apt/archives/mintdesktop_3.2.2_all.deb: there is no script in the new version of the package - giving up
Last edited by zole052 on Thu Dec 02, 2010 5:44 pm, edited 1 time in total.
zole052
Level 2
Level 2
 
Posts: 59
Joined: Thu Jan 29, 2009 6:32 pm
Location: Umag, Croatia

Linux Mint is funded by ads and donations.
 

Re: Mintupdate error

Postby proxima_centauri on Thu Dec 02, 2010 12:01 pm

The mintdesktop upgrade bug is hitting LMDE
the solution is to shut mintdesktop's obsolete prerm script..
Code: Select all
sudo rm /var/lib/dpkg/info/mintdesktop.prerm && apt upgrade

OR more precisely

Code: Select all
    apt update
    sudo rm /var/lib/dpkg/info/mintdesktop.prerm
    apt install mintdesktop
User avatar
proxima_centauri
Level 11
Level 11
 
Posts: 3976
Joined: Tue Dec 25, 2007 3:24 pm
Location: NB, Canada

Re: [SOLVED] Mintupdate error

Postby det4100 on Thu Dec 02, 2010 8:05 pm

Be sure to run those commands after updating, or you will get a "fix broken packages" error when you allow mintupdate to run. If you already did that and now can't get the rest of the updates to install, you can open package manager and mark the packages to update.
det4100

Running Mint Debian
User avatar
det4100
Level 4
Level 4
 
Posts: 225
Joined: Mon Dec 10, 2007 9:51 am
Location: New York

Re: [SOLVED] Mintupdate error

Postby libssd on Sat Dec 04, 2010 9:29 pm

I'm glad I stumbled on this thread. The update is still running, but at about the 20% mark, it threw up the warning in the attached screenshot.
Not sure how to proceed. I've been running LMDE on an 8gb SDHC memory card for several months, and several updates, without issue.

The suggested reference page: http://wiki.debian.org/LSBInitScripts/D ... yBasedBoot provides quite a bit of guidance, but I'm reluctant to start tweaking things before I understand the issues better.

Update: This error is discussed in some detail in this thread: viewtopic.php?f=141&p=346001
Attachments
Screenshot-Debconf on AA1-LMDE.png
Screenshot-Debconf on AA1-LMDE.png (44.39 KiB) Viewed 1458 times
libssd
Level 4
Level 4
 
Posts: 289
Joined: Tue Jun 22, 2010 11:26 am

Re: [SOLVED] Mintupdate error

Postby sgosnell on Sat Dec 04, 2010 10:07 pm

It shouldn't be a fatal error, it just means that you should keep using the old grub. I don't have the ambition to read through all that, so I can't help much with fixing the files.
Asus eee-pc 900 w/ 32GB SSD.
sgosnell
Level 5
Level 5
 
Posts: 686
Joined: Fri Sep 10, 2010 9:32 pm
Location: Baja Oklahoma

Re: [SOLVED] Mintupdate error

Postby libssd on Sat Dec 04, 2010 10:42 pm

Well, I decided to follow proxima_centauri's advice, made the changes, then rebooted, and checked for and applied additional updates, which finished with the following error:

E: /var/cache/apt/archives/mintdesktop_3.2.2_all.deb: there is no script in the new version of the package - giving up

Everything seems to be working well, so I'm not terribly concerned.

Update: I ran the mintdesktop update commands again from command line, and all is well.
libssd
Level 4
Level 4
 
Posts: 289
Joined: Tue Jun 22, 2010 11:26 am


Return to Newbie Questions

Who is online

Users browsing this forum: No registered users and 5 guests